package com.wmyun.farmwork.word.core.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: TODO
 * @Date: 2025/3/7 11:10
 * @Created: by ZZSLL
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
public class BookmarkInfo {

    // 书签名称
    private String bookmarkName;

    // 书签id
    private String bookmarkId;

    // 起始run idx
    private int startIdx;

    // 中止run idx
    private int endIdx;

    // 是否是列表
    private boolean listMark;

    // 是否在表格中
    private boolean tableMark;

    public BookmarkInfo(String bookmarkName, String bookmarkId) {
        this.bookmarkName = bookmarkName;
        this.bookmarkId = bookmarkId;
    }
}
