package com.wmyun.module.system.controller.admin.forward.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author zhouc
 * @date 2025/3/4 11:41
 * @className OCRReqVO
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "管理后台 - OCR Request VO")
public class OCRReqVO {
    @Schema(description = "markdown格式", example = "")
    private Object markdown;
    @Schema(description = "json格式", example = "")
    private Object json;
}
