package com.wmyun.module.system.controller.admin.pdf.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zhouc
 * @date 2025/3/1 15:21
 * @className PdfResultVO
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "管理后台 - PDF拆分 Request VO")
public class PdfResultVO {
    @Schema(description = "拆分后文件名称", example = "page_1.pdf")
    private String fileName;    // 拆分后的文件名
    @Schema(description = "服务武器存储路径")
    private String filePath;    // 服务器存储路径
    @Schema(description = "文件大小（字节））", example = "315063")
    private Long fileSize;      // 文件大小（字节）
}
