package com.wmyun.farmwork.word.core.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.wmyun.farmwork.word.core.enums.BookmarkType;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Description: 查询word文件中所有书签，返回值数据结构
 * @Date: 2025/3/3 9:44
 * @Created: by ZZSLL
 */

@Data
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BookmarkQueryDataModel {

    private String name;

    private BookmarkType type;
}
